### Home Classes Methods

### In Files

- lib/yajl.rb

### Methods

- ::encode
- ::parse

### Files

- README.rdoc
- Makefile

### Class/Module Index

Quicksearch

- Yajl
- Yajl::Bzip2
- Yajl::Bzip2::StreamReader
- Yajl::Bzip2::StreamWriter
- Yajl::Deflate
- Yajl::Deflate::StreamReader
- Yajl::Deflate::StreamWriter
- Yajl::EncodeError
- Yajl::Encoder
- Yajl::Gzip
- Yajl::Gzip::StreamReader
- Yajl::Gzip::StreamWriter
- Yajl::HttpStream
- Yajl::HttpStream::HttpError
- Yajl::HttpStream::InvalidContentType
- Yajl::ParseError
- Yajl::Parser
- Yajl::Stream
- JSON
- JSON::GeneratorError
- JSON::JSONError
- JSON::ParserError
- Array
- FalseClass
- Fixnum
- Float
- Hash
- Kernel
- NilClass
- Object
- String
- TrueClass

No matching classes.

# Yajl::Stream

DEPRECATED - See Yajl::Parser and Yajl::Encoder

### Public Class Methods

encode(obj, str_or_io=nil) click to toggle source

DEPRECATED - See Yajl::Encoder

    # File lib/yajl.rb, line 87
    def self.encode(obj, str_or_io=nil)
      warn "WARNING: Yajl::Stream has be deprecated and will most likely be gone in the next release. Use the Yajl::Encoder class instead."
      Encoder.new.encode(obj, str_or_io)
    end

parse(str_or_io) click to toggle source

DEPRECATED - See Yajl::Parser

    # File lib/yajl.rb, line 81
    def self.parse(str_or_io)
      warn "WARNING: Yajl::Stream has be deprecated and will most likely be gone in the next release. Use the Yajl::Parser class instead."
      Parser.new.parse(str_or_io)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.